id: wordpress-tinymce-advanced

info:
  name: Advanced Editor Tools Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/tinymce-advanced/
  metadata:
    plugin_namespace: tinymce-advanced
    wpscan: https://wpscan.com/plugin/tinymce-advanced
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/tinymce-advanced/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/tinymce-advanced.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4b0a00483046022100d6c45fd55434c412b8e12ec8235a8668c22df83df399be9917c5876a8b0245a10221009ac924d58933f82705f0e0ec54aa4cf600a5ca033cc79e4a63eae38ed4c3391a:922c64590222798bb761d5b6d8e72950